Skip to content

Add Form of Payment

Request

You can send an Add Form of Payment (FOP) request in either a booking or ticketing workbench session. FOPs of cash and credit are supported. FOPs of agent invoice and non-standard credit card are supported for GDS only.
The form of payment will only be added to the reservation when an itinerary exists. If no itinerary exists the form of payment will be ignored.

Security
bearerAuth
Path
ReservationResource_Identifierstring, <= 128 charactersrequired

The Reservation Identifier you wish to add form of payment to

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
Query
authorizePaymentIndboolean

If true payment card approval will be obtained.

Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/json
@typestringrequired

Discriminator classes FormOfPaymentID, FormOfPaymentBSP, FormOfPaymentCash, FormOfPaymentCheck, FormOfPaymentDocument, FormOfPaymentFlightPass, FormOfPaymentForfeit, FormOfPaymentInvoice, FormOfPaymentPaymentCard, FormOfPaymentVirtualPaymentAccount, FormOfPaymentWaiverCode

Enum:"FormOfPaymentCash""FormOfPaymentPaymentCard""FormOfPaymentForfeit""FormOfPaymentBSP""FormOfPaymentAgencyAccount""FormOfPaymentInvoice""FormOfPaymentDocument""FormOfPaymentWaiverCode""FormOfPaymentVirtualPaymentAccount""FormOfPaymentFlightPass"
Example:"FormOfPaymentPaymentCard"
Discriminator
idstring

Form of Payment reference ID.

FormOfPaymentRefstring
Identifierobject(Identifier)

A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

reservationFOPIndboolean

If true, this form of payment is the primary form of payment stored in the Reservation and will be used as the default payment unless alternate form of payment is referenced during the payment process.

agentNonRefundableIndboolean

This indicates that the Cash payment should not be refunded

FreeTextstring, <= 35 characters
miscellaneousIndboolean

If true, the form of payment type is MS, miscellaneous

activeIndbooleandeprecated

Deprecated. Will not implement.

Example:true
Commentstring, <= 35 charactersdeprecated
curl -i -X POST \
  'https://developer.travelport.com/_mock/apis/flights/air/payment/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/formofpayment?authorizePaymentInd=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "@type": "FormOfPaymentCash",
    "id": "formOfPayment_1",
    "FormOfPaymentRef": "formOfPayment_1"
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
FormOfPaymentResponseobject(FormOfPaymentResponse)

The response of a Form of payment endpoint request.

Response
{ "FormOfPaymentResponse": { "FormOfPayment": { "@type": "FormOfPaymentPaymentCash", "id": "string", "FormOfPaymentRef": "string", "Identifier": {}, "activeInd": true }, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }